kde-plasma-mail-checker

Plasma 4 Extensions

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

5
7 .5
Description:

Plasmoid should periodic check for new messages in configured accounts.
Supported protocols: POP3/POP3S/IMAP4/IMAP4S + IMAP4_IDLE.
Passwords for accounts stored in KWallet.
Plasmoid use KDE-notification for events about new mail.
Support Akonadi (mimeType : "message/rfc822") resources monitoring
(getting new mail).
Support preview (integrated mail viewer) for non-Akonadi accounts
and Quick Answer & Forward Mail (need to install the package same
python-mailer).
Support command line in notification.
See for: EXAMPLES.

https://github.com/F1ash/kde-plasma-mail-checker
Last changelog:

6 years ago

https://github.com/F1ash/kde-plasma-mail-checker/blob/simple/Changelog

# TODO :
complete "ru"-dictionary for new version;

C

F1ash

6 years ago

I corrected another probable error, reinstall , pls.

Report

S2

akwala

6 years ago

The version is still 1.15.68 -- tested download from here as well as Github.

The same error persists.

Report

C

F1ash

6 years ago

some elusive bug :)
try v1.15.68

Report

shote

6 years ago

Just tested the last version and it is fixed :)
Thank you!

Report

shote

6 years ago

Please check this StackOverflow thread:
http://stackoverflow.com/questions/24937659/argument-must-be-9-item-sequence-not-datetime-datetime

The problem is datetime related and is described here if I'm not wrong :)

Report

C

F1ash

6 years ago

it's a very, very strange... I can to see plasmoid log ?

Report

S2

akwala

6 years ago

No change w/ 1.15.68 :(

Same error as before for the same accounts.

Report

shote

7 years ago

unfortunately there is no traceback
This is the only log I got:

2013.05.08_15:16:20 : argument must be 9-item sequence, not None IMAP4
2013.05.08_15:16:21 : argument must be 9-item sequence, not None IMAP4
2013.05.08_15:16:21 : argument must be 9-item sequence, not None IMAP4

Report

C

F1ash

7 years ago

I`m make some changes for identify an error. Watch out for logs.

Report

S2

akwala

6 years ago

I get this error in v. 1.15.66 on Ubuntu 13.10. See: https://github.com/F1ash/kde-plasma-mail-checker/issues/10

Report

C

F1ash

6 years ago

try this version:
<a href="http://fbe.am/rxF">DOWNLOAD</a>

Report

S2

akwala

6 years ago

Same issue with the new version you asked me to try...

argument must be 9-item sequence, not None argument must be 9-item sequence, not None argument must be 9-item sequence, not None Can`t connect to server on Account...

Report

serik555

7 years ago

Setting plasmoid fails. A message appears:
error opening script.

Report

C

F1ash

7 years ago

Pls, find the error (search "Trace") in ~/.xsessoin-errors for it.

Report

serik555

7 years ago

Sorry. that's part of the file ~/.xsession-errors
=================================================
No module named akonadi
Exception: name 'pyqtSignal' is not defined
Traceback (most recent call last):
File "/usr/share/kde4/apps/plasma_scriptengine_python/pyappletscript.py", line 59, in init
self.module = __import__(self.pluginName+'.'+relpath)
File "/usr/share/kde4/apps/plasma_scriptengine_python/plasma_importer.py", line 107, in load_module
exec code in mod.__dict__
File "/home/uzver/.kde/share/apps/plasma/plasmoids/kde-plasma-mail-checker/contents/code/main.py", line 54, in <module>
class plasmaMailChecker(plasmascript.Applet):
NameError: name 'plasmascript' is not defined

Report

C

F1ash

7 years ago

I`m make some fixes. Try now.

Report

serik555

7 years ago

Thank you. fixed.

Report

C

F1ash

7 years ago

maybe you need to install pykde4-akonadi package? but plasmoid must work even if this pakage don`t present in system.
And, pls, demonstrate error fully. And check correct installation (clear old version & install new).

Report

C

F1ash

7 years ago

PyKDE4 is installed in your system?

Report

serik555

7 years ago

Yes. PyKDE4-4.6.5-2.fc15 i686 - installed

Report

C

F1ash

7 years ago

Sorry:
from PyQt4.QtCore import pyqtSignal

Report

serik555

7 years ago

did not help. previous result

Report

C

F1ash

7 years ago

Try to make a workaround:
insert the string "from PyQt4.Core import pyqtSignal" between lines 23-24 at AkonadiResources.py
(search in ~/.kde/share/apps/plasma/plasmoids/kde-plasma-mail-checker/contents/code/)

Report

serik555

7 years ago

~/.xsessoin-errors
this directory does not exist

Report

doctorpepper

7 years ago

Since upgrading to version 1.10.50, i am unable to add new akonadi mail ressource , when selecting the resource and clicking ok the informations dont get passed to the settings account widget

Report

6 years ago

https://github.com/F1ash/kde-plasma-mail-checker/blob/simple/Changelog

# TODO :
complete "ru"-dictionary for new version;

12345678910
728
product-maker stroum Aug 09 2013 9 excellent
product-maker openLife Jun 11 2013 9 excellent
product-maker pejakm Apr 25 2013 3 bad
product-maker karaytanto Feb 02 2013 3 bad
product-maker paulus3005 Dec 06 2012 3 bad
product-maker abatyche1x Oct 04 2012 3 bad
product-maker yhmfyhhcf Oct 04 2012 3 bad
product-maker LiquidSky64 Sep 25 2012 9 excellent
product-maker frag Sep 24 2012 3 bad
product-maker cyberconan Aug 04 2012 9 excellent
product-maker unikum111 Jun 28 2012 9 excellent
product-maker Serafean Dec 28 2011 9 excellent
product-maker pars1938 Dec 21 2011 9 excellent
product-maker arkascha Dec 18 2011 9 excellent
product-maker supermadman Dec 03 2011 9 excellent
product-maker glewik Sep 15 2011 9 excellent
product-maker cholzberger Aug 19 2011 9 excellent
product-maker littlecuba Aug 12 2011 9 excellent
product-maker xitla Jul 24 2011 9 excellent
product-maker craigc05 Jul 16 2011 9 excellent
product-maker YAFU Jul 08 2011 9 excellent
product-maker aspotashev Jun 28 2011 9 excellent
product-maker google01103 Jun 28 2011 9 excellent
product-maker gamdoodyandgam Jun 03 2011 9 excellent
product-maker Roadrunnerbs May 31 2011 9 excellent
product-maker peter2m May 22 2011 9 excellent
product-maker prostosuper May 18 2011 9 excellent
product-maker Naproxeno May 18 2011 9 excellent
product-maker artemisfowl2007 May 15 2011 3 bad
product-maker Pyruzan Apr 26 2011 9 excellent
product-maker gorzka Mar 29 2011 9 excellent
product-maker Kirilo Mar 28 2011 9 excellent
product-maker phiga2 Mar 28 2011 9 excellent
product-maker Murz Mar 24 2011 9 excellent
product-maker ashley194 Mar 23 2011 9 excellent
product-maker Base: 4 x 5.0 Ratings
Be the first to comment
akwala
Apr 01 2014
Mte90
Feb 08 2013
tetris4
Feb 08 2013
hostmaster2
Mar 28 2011
Murz
Mar 25 2011
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
1.15.68
updated Apr 06 2014
added Mar 23 2011
downloads 24h
0
mediaviews 24h 0
pageviews 24h 15